import Foundation

extension Tag {

    static let mock = Tag(
        content: .mock,
        id: "electronics",
        german: .german,
        english: .english)

    static let nature = Tag(
        content: .mock,
        id: "nature",
        german: .init(content: .mock, urlComponent: "natur", name: "Natur"),
        english: .init(content: .mock, urlComponent: "nature", name: "Nature")
    )

    static let sports = Tag(
        content: .mock,
        id: "sports",
        german: .init(content: .mock, urlComponent: "sport", name: "Sport"),
        english: .init(content: .mock, urlComponent: "sports", name: "Sports")
    )

    static let hiking = Tag(
        content: .mock,
        id: "hiking",
        german: .init(content: .mock, urlComponent: "wandern", name: "Wandern"),
        english: .init(content: .mock, urlComponent: "hiking", name: "Hiking")
    )

    static let mountains = Tag(
        content: .mock,
        id: "mountains",
        german: .init(content: .mock, urlComponent: "berge", name: "Berge"),
        english: .init(content: .mock, urlComponent: "mountains", name: "Mountains")
    )
}

extension LocalizedTag {

    static let english = LocalizedTag(
        content: .mock,
        urlComponent: "electronics",
        name: "Electronics",
        linkPreview: .init(description: "Some description of the tag",
                           image: FileResource(resourceImage: "image1", type: .jpg)),
        originalUrl: "projects/electronics")

    static let german = LocalizedTag(
        content: .mock,
        urlComponent: "elektronik",
        name: "Elektronik",
        linkPreview: .init(description: "Eine Beschreibung des Tags",
                           image: FileResource(resourceImage: "image2", type: .jpg)),
        originalUrl: "projects/electronics")
}
